Bug 1264816 - Anaconda Using LVM DBus API
Anaconda Using LVM DBus API
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Earl Brassow
ChangeAcceptedF24, SelfContainedChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 05:41 EDT by Jan Kurik
Modified: 2016-09-29 07:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 07:24:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2015-09-21 05:41:51 EDT
This is a tracking bug for Change: Anaconda Using LVM DBus API
For more details, see: https://fedoraproject.org//wiki/Changes/Anaconda_Using_LVM_DBus_API

A new DBus API for LVM is being created so let's make the installation process use it for setting up LVM storage.
Comment 1 Jan Kurik 2016-02-24 09:25:56 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 2 Vratislav Podzimek 2016-02-26 11:46:19 EST
The LVM DBus daemon is available in the lvm2-dbusd package [1]. The libblockdev plugin using the LMV DBus API is available in the libblockdev-lvm-dbus package [2]. Thus this change is ready for testing. The only missing thing is an installation boot.iso containing the two aforementioned packages which can be done by a change in the lorax templates as proposed in the submitted PR for lorax [3].

[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=738484
[2] http://koji.fedoraproject.org/koji/buildinfo?buildID=738942
[3] https://github.com/rhinstaller/lorax/pull/92
Comment 3 Vratislav Podzimek 2016-03-09 07:44:41 EST
The lorax templates change is now pushed to the f24-branch. [1]

[1] https://github.com/rhinstaller/lorax/commit/625cb20b3d03b74274d4b07c3317ca91bef8f6d5
Comment 4 Jan Kurik 2016-04-20 11:01:27 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 5 Vratislav Podzimek 2016-04-21 07:06:43 EDT
The feature is now 100% completed. The only last missing piece was the new build of lvm2 for F24, but that has already passed through bodhi [1].

[1] https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed2f220c42

Note You need to log in before you can comment on or make changes to this bug.